#!/bin/bash

set -e
if [ -n "$CERC_SCRIPT_DEBUG" ]; then
  set -x
fi

echo "Using the following env variables:"
echo "WALLET_CONNECT_ID: ${WALLET_CONNECT_ID}"
echo "CERC_LACONICD_CHAIN_ID: ${CERC_LACONICD_CHAIN_ID}"
echo "CERC_REGISTRY_GQL_ENDPOINT: ${CERC_REGISTRY_GQL_ENDPOINT}"
echo "CERC_LACONICD_RPC_ENDPOINT: ${CERC_LACONICD_RPC_ENDPOINT}"
echo "CERC_LACONICD_DENOM: ${CERC_LACONICD_DENOM}"
echo "CERC_FAUCET_ENDPOINT: ${CERC_FAUCET_ENDPOINT}"
echo "CERC_WALLET_META_URL: ${CERC_WALLET_META_URL}"
echo "CERC_SUMSUB_API_ENDPOINT: ${CERC_SUMSUB_API_ENDPOINT}"
echo "CERC_STAKING_AMOUNT: ${CERC_STAKING_AMOUNT}"

# Build with required env
REACT_APP_WALLET_CONNECT_ID=$WALLET_CONNECT_ID \
REACT_APP_ETHEREUM_MAINNET_CHAIN_ID=1 \
REACT_APP_LACONICD_CHAIN_ID=$CERC_LACONICD_CHAIN_ID \
REACT_APP_REGISTRY_GQL_ENDPOINT=$CERC_REGISTRY_GQL_ENDPOINT \
REACT_APP_LACONICD_RPC_ENDPOINT=$CERC_LACONICD_RPC_ENDPOINT \
REACT_APP_LACONICD_DENOM=$CERC_LACONICD_DENOM \
REACT_APP_FAUCET_ENDPOINT=$CERC_FAUCET_ENDPOINT \
REACT_APP_WALLET_META_URL=$CERC_WALLET_META_URL \
REACT_APP_SUMSUB_API_ENDPOINT=$CERC_SUMSUB_API_ENDPOINT \
REACT_APP_STAKING_AMOUNT=$CERC_STAKING_AMOUNT \
yarn build

http-server --proxy http://localhost:80? -p 80 /app/build
